directories:
  output: dist
  buildResources: build
generateUpdatesFilesForAllChannels: false
appId: ES Launcher
productName: ES Launcher
copyright: Copyright © 2020-2026 Luuxis
artifactName: ${productName}-${os}-${arch}.${ext}
extraMetadata:
  main: app/app.js
files:
  - filter:
      - app/**/*
      - package.json
      - LICENSE.md
compression: normal
asar: true
electronDownload:
  cache: ./node_modules/.cache/electron
nodeGypRebuild: false
npmRebuild: true
publish:
  - provider: github
    releaseType: release
win:
  icon: ./app/assets/images/icon/icon.ico
  target:
    - target: nsis
      arch: x64
    - target: nsis
      arch: arm64
nsis:
  oneClick: true
  allowToChangeInstallationDirectory: false
  createDesktopShortcut: true
  runAfterFinish: true
mac:
  icon: ./app/assets/images/icon/icon.icns
  category: public.app-category.games
  identity: null
  hardenedRuntime: false
  gatekeeperAssess: false
  mergeASARs: true
  target:
    - target: dmg
      arch: universal
    - target: zip
      arch: universal
dmg:
  sign: false
  contents:
    - x: 130
      'y': 220
    - x: 410
      'y': 220
      type: link
      path: /Applications
  artifactName: ${productName}-mac-${arch}.${ext}
  format: ULFO
linux:
  icon: ./app/assets/images/icon/icon.png
  target:
    - target: AppImage
      arch: x64
electronVersion: 40.0.0
